# https://github.com/IceWhaleTech/CasaOS-AppStore/blob/main/CONTRIBUTING.md

name: my-cool-app
services:
  influxdb-v1:
    container_name: influxdb-v1
    image: influxdb:1.8
    labels:
      icon: icon.png
    network_mode: bridge
    ports:
      - target: 8086
        published: "8091"
        protocol: tcp
    restart: unless-stopped
    healthcheck:
      test: curl --fail -s http://localhost:8086/health || exit 1
      interval: 60s
      timeout: 10s
      retries: 3
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/config
        target: /etc/influxdb
      - type: bind
        source: /DATA/AppData/$AppID/data
        target: /var/lib/influxdb
    x-casaos:
      ports:
        - container: "8091"
          description:
            en_us: ""
      volumes:
        - container: /etc/influxdb
          description:
            en_us: Contains all configuration files.
        - container: /var/lib/influxdb
          description:
            en_us: Contains all database files.
x-casaos:
  title:
    en_us: Mon app à moi !
  author: François Chazal
  category: Utilities
  developer: François Chazal
  project_url: https://github.com/mr-manuel/CasaOS-HomeAutomation-AppStore
  icon: https://git.chazal.me/PUBLIC/casaos-store/raw/commit/30c775a1f85a0fda046be3c0ff0eb60316e59e90/Apps/mycoolapp/icon.png
  thumbnail: https://git.chazal.me/PUBLIC/casaos-store/raw/commit/30c775a1f85a0fda046be3c0ff0eb60316e59e90/Apps/mycoolapp/screenshot-2.jpg
  tagline:
    en_us: |
      Mais quelle galère !
  description:
    en_us: |
      C'est une app en or :)
  tips:
    before_install:
      en_us: |
        DO you think ?
  main: influxdb-v1
  architectures:
    - amd64
  index: /
  port_map: "8091"
  store_app_id: influxdb-v1
